<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Symfony\Component\HttpFoundation\Response;

class AdminAuth
{
    /**
     * Handle an incoming request.
     *
     * @param \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response) $next
     */
    public function handle(Request $request, Closure $next): Response
    {
        if (Auth::guard('admin')->check()) {
            if(Auth::guard('admin')->user()->type=="admin")
            {
                return $next($request);
            }
            else
            {
                abort(403, "Logout Other Users First.");
            }
        }
        else
        {
            return redirect()->route('admin.login')->with('error', 'Access Denied.');
        }
        /* return response()->view('errors.check-permission'); */
    }
}
