@extends('website.includes.master')

@section('title')
    Shopping Cart
@endsection

@section('content')

    <?php
    $total_cart_price = intval(0);
    ?>

    <div class="site-content">
        <main class="site-main  main-container no-sidebar">
            <div class="container">
                <div class="breadcrumb-trail breadcrumbs">
                    <ul class="trail-items breadcrumb">
                        <li class="trail-item trail-begin">
                            <a href="{{ route('/') }}">
								<span>
									Home
								</span>
                            </a>
                        </li>
                        <li class="trail-item trail-end active">
							<span>
								Shopping Cart
							</span>
                        </li>
                    </ul>
                </div>
                <div class="row">
                    <div class="main-content-cart main-content col-sm-12">
                        <h3 class="custom_blog_title">
                            Shopping Cart
                        </h3>
                        <form action="{{ route('update_cart') }}" method="post" class="cart-form">
                            @csrf
                            <div class="page-main-content">
                                <div class="shoppingcart-content">
                                    <table class="shop_table">
                                        <thead>
                                        <tr>
                                            <th class="product-remove"></th>
                                            <th class="product-thumbnail"></th>
                                            <th class="product-name"></th>
                                            <th class="product-price"></th>
                                            <th class="product-quantity"></th>
                                            <th class="product-subtotal"></th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        @forelse($carts as $cart)
                                            @php
                                                $pro_price = intval(0);
                                                $pro_price = (intval($cart->productdata->price)*intval($cart->quantity));
                                                $total_cart_price = intval($total_cart_price) + intval($pro_price)
                                            @endphp
                                            <tr class="cart_item">
                                                <td class="product-remove">
                                                    <a onclick="return(confirm('are you sure to remove this product from cart ?'))"
                                                       href="{{ route('delete_cart_product',[$cart->id]) }}"
                                                       class="remove"></a>
                                                </td>
                                                <td class="product-thumbnail">
                                                    <a href="#">
                                                        <img
                                                            src="{{ URL::asset('admin/assets/uploads/'.$cart->productdata->image) }}"
                                                            alt="img"
                                                            class="attachment-shop_thumbnail size-shop_thumbnail wp-post-image">
                                                    </a>
                                                </td>
                                                <td class="product-name" data-title="Product">
                                                    <a class="title">{{ $cart->productdata->name }}</a>
                                                </td>
                                                <td class="product-quantity" data-title="Quantity">
                                                    <div class="quantity">
                                                        <div class="control">
                                                            <a class="btn-number qtyminus quantity-minus" href="#">-</a>
                                                            <input type="text" data-step="1" data-min="0"
                                                                   value="{{ $cart->quantity }}"
                                                                   title="Qty"
                                                                   name="quantity[{{ $cart->productid }}]"
                                                                   class="input-qty qty" size="4">
                                                            <a href="#" class="btn-number qtyplus quantity-plus">+</a>
                                                        </div>
                                                    </div>
                                                </td>
                                                <td class="product-price" data-title="Price">
													<span class="woocommerce-Price-amount amount">
														<span class="woocommerce-Price-currencySymbol">
															$
														</span>
														{{ number_format((intval($cart->quantity)*intval($cart->productdata->price)),2) }}
													</span>
                                                </td>
                                            </tr>
                                        @empty
                                        @endforelse
                                        <tr>
                                            <td class="actions">
                                                <div class="order-total">
														<span class="title">
															Total Price:
														</span>
                                                    <span class="total-price">
															${{ number_format($total_cart_price,2) }}
														</span>
                                                </div>
                                            </td>
                                        </tr>
                                        </tbody>
                                    </table>
                                    @if(sizeof($carts)>0)
                                        <div class="control-cart">
                                            <button type="submit" class="button btn-continue-shopping">
                                                Update Cart
                                            </button>
                                            <a href="{{ route('Shop') }}" class="button btn-continue-shopping">
                                                Continue Shopping
                                            </a>
                                            <a href="{{ route('checkout') }}" class="button btn-cart-to-checkout">
                                                Checkout
                                            </a>
                                        </div>
                                    @endif
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </main>
    </div>

@endsection
