@extends('website.includes.master')

@section('title')
    Checkout
@endsection

@section('content')
    <?php
    $total_cart_price = intval(0);
    ?>
    <div class="main-content main-content-checkout">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="breadcrumb-trail breadcrumbs">
                        <ul class="trail-items breadcrumb">
                            <li class="trail-item trail-begin">
                                <a href="{{ route('/') }}">Home</a>
                            </li>
                            <li class="trail-item trail-end active">
                                Checkout
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
            <h3 class="custom_blog_title">
                Checkout
            </h3>
            <form action="{{ route('save_order') }}" method="post" class="MyForm">
                @csrf

                <div class="checkout-wrapp">
                    <div class="shipping-address-form-wrapp">
                        <div class="shipping-address-form  checkout-form">
                            <div class="row-col-1 row-col">
                                <div class="shipping-address">
                                    <h3 class="title-form">
                                        Shipping Address
                                    </h3>
                                    <p class="form-row form-row-first">
                                        <label class="text">First name</label>
                                        <input title="first" type="text" class="input-text" name="fname" required
                                               placeholder="First name">
                                    </p>
                                    <p class="form-row form-row-last">
                                        <label class="text">Last name</label>
                                        <input title="last" type="text" class="input-text" name="lname" required
                                               placeholder="Last Name">
                                    </p>
                                    <p class="form-row form-row-first">
                                        <label class="text">Email</label>
                                        <input title="Email" type="email" class="input-text" name="email" required
                                               placeholder="Email">
                                    </p>
                                    <p class="form-row form-row-last">
                                        <label class="text">Phone</label>
                                        <input title="Phone" type="text" class="input-text" name="phone" required
                                               placeholder="Phone">
                                    </p>
                                    <p class="form-row form-row-first">
                                        <label class="text">zipcode</label>
                                        <input title="zipcode" type="text" class="input-text" name="zipcode" required
                                               placeholder="zipcode">
                                    </p>
                                    <p class="form-row form-row-last">
                                        <label class="text">City</label>
                                        <input title="City" type="text" class="input-text" name="city" required
                                               placeholder="City">
                                    </p>
                                    <div class="row">
                                        <div class="col-md-12">
                                            <label class="text">Shipping Address</label>
                                            <textarea name="address" class="form-control" rows="4" required
                                                      placeholder="Shipping Address"></textarea>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="row-col-2 row-col">
                                <div class="your-order">
                                    <h3 class="title-form">
                                        Your Order
                                    </h3>
                                    <ul class="list-product-order">
                                        @forelse($carts as $cart)
                                            @php
                                                $pro_price = intval(0);
                                                $pro_price = (intval($cart->productdata->price)*intval($cart->quantity));
                                                $total_cart_price = intval($total_cart_price) + intval($pro_price)
                                            @endphp
                                            <li class="product-item-order">
                                                <div class="product-thumb">
                                                    <a>
                                                        <img
                                                            src="{{ URL::asset('admin/assets/uploads/'.$cart->productdata->image) }}"
                                                            alt="img">
                                                    </a>
                                                </div>
                                                <div class="product-order-inner">
                                                    <h5 class="product-name">
                                                        <a>{{ $cart->productdata->name }}</a>
                                                    </h5>
                                                    <div class="price">
                                                        ${{ number_format($cart->productdata->price,2) }}
                                                        <span class="count">x{{ $cart->quantity }}</span>
                                                    </div>
                                                </div>
                                            </li>
                                        @empty
                                        @endforelse
                                    </ul>
                                    <div class="row">
                                        <div class="col-md-10">
                                            <label class="coupon_code">Coupon Code:</label>
                                            <input type="text" class="input-text form-control"
                                                   placeholder="Promo code here" id="promocode" name="promocode">
                                        </div>
                                        <div class="col-md-2">
                                            <button type="button" style="margin-top: 27px" onclick="CheckPromocode()">
                                                Apply
                                            </button>
                                        </div>
                                    </div>
                                    <div class="order-total" style="margin-top: 25px">
									<span class="title">
										Total Price:
									</span>
                                        <span class="total-price" id="display_total_price">
										${{ number_format($total_cart_price,2) }}
									</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <button class="button button-payment">Place Order</button>
                    </div>
                </div>
                <input type="hidden" id="mytotalprice" name="total_price" value="{{ $total_cart_price }}">
                <input type="hidden" name="total_price_of_cart" id="total_price_of_cart"
                       value="{{ $total_cart_price }}">
            </form>
        </div>
    </div>

@endsection
