<!DOCTYPE html>
<html lang="en">
<?php
$system = App\Models\Setting::first();
$categories = App\Models\Categories::all();
if (Auth::guard('web')->check()) {
    $cart_data = App\Models\Cart::where('userid', Auth::guard('web')->user()->id)->get();
} else {
    $cart_data = collect();
}
?>

<?php
$total_cart_price = intval(0);
?>


<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="icon" href="{{ URL::asset('admin/assets/uploads/'.$system->favicon) }}" type="image/x-icon">
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title>{{ $system->name }} | @yield('title')</title>
    <link
            href="https://fonts.googleapis.com/css2?family=Raleway:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900&amp;display=swap"
            rel="stylesheet">
    <link
            href="https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&amp;display=swap"
            rel="stylesheet">
    <link rel="stylesheet" href="{{ URL::asset('website/assets/css/bootstrap.min.css') }}">
    <link rel="stylesheet" href="{{ URL::asset('website/assets/css/font-awesome.min.css') }}">
    <link rel="stylesheet" href="{{ URL::asset('website/assets/css/owl.carousel.min.css') }}">
{{--    <link rel="stylesheet" href="{{ URL::asset('website/assets/css/animate.min.css') }}">--}}
    <link rel="stylesheet" href="{{ URL::asset('website/assets/css/jquery-ui.css') }}">
    <link rel="stylesheet" href="{{ URL::asset('website/assets/css/slick.css') }}">
{{--    <link rel="stylesheet" href="{{ URL::asset('website/assets/css/chosen.min.css') }}">--}}
{{--    <link rel="stylesheet" href="{{ URL::asset('website/assets/css/pe-icon-7-stroke.css') }}">--}}
{{--    <link rel="stylesheet" href="{{ URL::asset('website/assets/css/magnific-popup.min.css') }}">--}}
{{--    <link rel="stylesheet" href="{{ URL::asset('website/assets/css/lightbox.min.css') }}">--}}
{{--    <link rel="stylesheet" href="{{ URL::asset('website/assets/js/fancybox/source/jquery.fancybox.css') }}">--}}
    <link rel="stylesheet" href="{{ URL::asset('website/assets/css/jquery.scrollbar.min.css') }}">
    <link rel="stylesheet" href="{{ URL::asset('website/assets/css/mobile-menu.css') }}">
    <link rel="stylesheet" href="{{ URL::asset('website/assets/fonts/flaticon/flaticon.css') }}">
    <link rel="stylesheet" href="{{ URL::asset('website/assets/css/style.css') }}">

    <style>
        .swal2-title {
            font-size: 14px !important;
        }
    </style>

</head>
<body class="home">
@include('website.includes.loader')
<header class="header style2">
    <div class="container">
        <div class="main-header">
            <div class="row">
                <div class="col-lg-4 col-sm-6 col-md-4 col-xs-7 col-ts-12 header-element">
                    <div class="block-search-block">
                        <form class="form-search" method="get" action="{{ route('Shop') }}">
                            <div class="form-content">
                                <div class="inner">
                                    <input type="text" class="input" name="name" required placeholder="Search here">
                                    <button class="btn-search" type="submit">
                                        <span class="icon-search"></span>
                                    </button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
                <div class="col-lg-4 col-sm-6 col-md-4 col-xs-5 col-ts-12">
                    <div class="logo">
                        <a href="{{ route('/') }}">
                            <img src="{{ URL::asset('admin/assets/uploads/'.$system->logo) }}" alt="" style="width:80%">
                        </a>
                    </div>
                </div>
                <div class="col-lg-4 col-sm-12 col-md-4 col-xs-12 col-ts-12">
                    <div class="header-control">
                        <div class="block-minicart ysera-mini-cart block-header ysera-dropdown">
                            <a href="javascript:void(0);" class="shopcart-icon" data-ysera="ysera-dropdown">
                                Cart
                                <span class="count">
										{{ sizeof($cart_data) }}
										</span>
                            </a>
                            <div class="shopcart-description ysera-submenu">
                                <div class="content-wrap">
                                    <h3 class="title">Shopping Cart</h3>
                                    <ul class="minicart-items">
                                        @forelse($cart_data as $cart_dataa)
                                            @php
                                                $pro_price = intval(0);
                                                $pro_price = (intval($cart_dataa->productdata->price)*intval($cart_dataa->quantity));
                                                $total_cart_price = intval($total_cart_price) + intval($pro_price)
                                            @endphp
                                            <li class="product-cart mini_cart_item">
                                                <a href="#" class="product-media">
                                                    <img
                                                            src="{{ URL::asset('admin/assets/uploads/'.$cart_dataa->productdata->image) }}"
                                                            alt="img">
                                                </a>
                                                <div class="product-details">
                                                    <h5 class="product-name">
                                                        <a>{{ $cart_dataa->productdata->name }}</a>
                                                    </h5>
                                                    <span class="product-price">
															<span class="price">
																<span>${{ number_format($cart_dataa->productdata->price) }}</span>
															</span>
														</span>
                                                    <span class="product-quantity">
															(x{{ number_format($cart_dataa->quantity) }})
														</span>
                                                    <div class="product-remove">
                                                        <a onclick="return(confirm('are you sure to remove this product from cart ?'))"
                                                           href="{{ route('delete_cart_product',[$cart_dataa->id]) }}"><i
                                                                    class="fa fa-trash-o" aria-hidden="true"></i></a>
                                                    </div>
                                                </div>
                                            </li>
                                        @empty
                                        @endforelse
                                    </ul>
                                    <div class="subtotal">
                                        <span class="total-title">Subtotal: </span>
                                        <span class="total-price">
													<span class="Price-amount">
														${{ number_format($total_cart_price,2) }}
													</span>
												</span>
                                    </div>
                                    <div class="actions">
                                        <a class="button button-viewcart" href="{{ route('cart') }}">
                                            <span>View Bag</span>
                                        </a>
                                        <a href="{{ route('checkout') }}" class="button button-checkout">
                                            <span>Checkout</span>
                                        </a>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <a class="menu-bar mobile-navigation menu-toggle" href="#">
                            <span></span>
                            <span></span>
                            <span></span>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="header-nav-container">
        <div class="container">
            <div class="header-nav-wapper main-menu-wapper">
                <div class="header-nav">
                    <div class="container-wapper">
                        <ul class="ysera-clone-mobile-menu ysera-nav main-menu " id="menu-main-menu">
                            <li class="menu-item"><a href="{{ route('/') }}" class="ysera-menu-item-title" title="Home">Home</a>
                            </li>
                            <li class="menu-item"><a href="{{ route('aboutus') }}" class="ysera-menu-item-title"
                                                     title="About">About</a></li>
                            <li class="menu-item  menu-item-has-children">
                                <a href="{{ route('Shop') }}" class="ysera-menu-item-title" title="Home">Shop</a>
                                <span class="toggle-submenu"></span>
                                <ul class="submenu">
                                    @forelse($categories as $category)
                                        <li class="menu-item"><a
                                                    href="{{ route('Shop',["categoryid"=>$category->id]) }}">{{ $category->name }}</a>
                                        </li>
                                    @empty
                                    @endforelse
                                </ul>
                            </li>
                            <li class="menu-item"><a href="{{ route('cart') }}" class="ysera-menu-item-title"
                                                     title="Shop">Cart</a></li>
                            <li class="menu-item"><a href="{{ route('contactus') }}" class="ysera-menu-item-title"
                                                     title="Contact">Contact</a>
                            </li>

                            @if(Auth::guard('web')->check())
                                <li class="menu-item  menu-item-has-children">
                                    <a href="#" class="ysera-menu-item-title"
                                       title="Home">{{ Auth::guard('web')->user()->name }}</a>
                                    <span class="toggle-submenu"></span>
                                    <ul class="submenu">
                                        <li class="menu-item"><a href="{{ route('profile') }}">Profile</a>
                                        <li class="menu-item"><a href="{{ route('orderhistory') }}">Order History</a>
                                        <li class="menu-item"><a href="{{ route('customerlogout') }}">Logout</a>
                                        </li>
                                    </ul>
                                </li>
                            @else
                                <li class="menu-item"><a href="{{ route('login') }}" class="ysera-menu-item-title"
                                                         title="Contact">Login</a>
                                </li>
                            @endif

                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
</header>
