@extends('website.includes.master')

@section('title')
    Order History
@endsection

@section('content')

    <link rel="stylesheet" href="https://cdn.datatables.net/2.0.6/css/dataTables.dataTables.css"/>

    <div class="site-content">
        <main class="site-main  main-container no-sidebar">
            <div class="container-fluid">
                <div class="breadcrumb-trail breadcrumbs">
                    <ul class="trail-items breadcrumb">
                        <li class="trail-item trail-begin">
                            <a href="{{ route('/') }}">
								<span>
									Home
								</span>
                            </a>
                        </li>
                        <li class="trail-item trail-end active">
							<span>
								Order History
							</span>
                        </li>
                    </ul>
                </div>
                <div class="row">
                    <div class="main-content-cart main-content col-sm-12">
                        <h3 class="custom_blog_title">
                            Order History
                        </h3>
                        <div class="page-main-content">
                            <div class="table-responsive">

                                <div class="table-responsive">
                                    <table class="table MyTable">
                                        <thead>
                                        <tr>
                                            <th>Id</th>
                                            <th>Name</th>
                                            <th>Email</th>
                                            <th>Phone</th>
                                            <th>Address</th>
                                            <th>City</th>
                                            <th>Zipcode</th>
                                            <th>Total Price</th>
                                            <th>Promo Code</th>
                                            <th>Discount</th>
                                            <th>Paid Amount</th>
                                            <th>Status</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        @forelse($orders as $c=>$completed_order)
                                            <tr>
                                                <td>{{ $c+1 }}</td>
                                                <td>{{ $completed_order->fname }} {{ $completed_order->lname }}</td>
                                                <td>{{ $completed_order->email }}</td>
                                                <td>{{ $completed_order->phone }}</td>
                                                <td>{{ $completed_order->address }}</td>
                                                <td>{{ $completed_order->city }}</td>
                                                <td>{{ $completed_order->zipcode }}</td>
                                                <td>${{ $completed_order->total_price }}</td>
                                                <td>{{ ($completed_order->promocode) ? $completed_order->promocode : '--' }}</td>
                                                <td>{{ ($completed_order->discount) ? $completed_order->discount."%" : '--' }}</td>
                                                <td>${{ $completed_order->price }}</td>
                                                <td>
                                                    <button class="btn btn-info"
                                                            disabled>{{ $completed_order->status }}</button>
                                                </td>
                                            </tr>
                                        @empty
                                        @endforelse
                                        </tbody>
                                    </table>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </main>
    </div>

@endsection
@section('script')
    <script src="https://cdn.datatables.net/2.0.6/js/dataTables.js"></script>
    <script>
        $('.MyTable').DataTable();
    </script>
@endsection
