@extends('website.includes.master')

@section('title')
    Profile
@endsection

@section('content')

    <div class="main-content main-content-contact">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="breadcrumb-trail breadcrumbs">
                        <ul class="trail-items breadcrumb">
                            <li class="trail-item trail-begin">
                                <a href="{{ route('/') }}">Home</a>
                            </li>
                            <li class="trail-item trail-end active">
                                Profile
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="content-area content-contact col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="site-main">
                        <h3 class="custom_blog_title">Profile</h3>
                    </div>
                </div>
            </div>
        </div>
        <div class="page-main-content">
            <div class="google-map">
                <div class="ysera-google-maps" id="ysera-google-maps" data-hue="" data-lightness="1" data-map-style="2"
                     data-saturation="-99" data-longitude="-73.985130" data-latitude="40.758896" data-pin-icon=""
                     data-zoom="14" data-map-type="ROADMAP"></div>
                <span class="fa fa-map-marker"></span>
            </div>
            <div class="container">
                <div class="row">
                    <div class="col-sm-12">
                        <div class="form-contact">
                            <div class="col-lg-12 no-padding">
                                <div class="form-message">
                                    <h2 class="title">
                                        Update Profile
                                    </h2>
                                    <form action="{{ route('updateuserprofile') }}" class="ysera-contact-fom"
                                          method="post">
                                        @csrf
                                        <div class="row">
                                            <div class="col-sm-6">
                                                <p>
                                                    <span class="form-label">Your Name *</span>
                                                    <span class="form-control-wrap your-name">
														<input title="your-name" type="text" name="name" required
                                                               size="40" placeholder="Name . . . " value="{{ ($user->name) ? $user->name : '' }}"
                                                               class="form-control form-control-name">
													</span>
                                                </p>
                                            </div>
                                            <div class="col-sm-6">
                                                <p>
													<span class="form-label">
														Your Email *
													</span>
                                                    <span class="form-control-wrap your-email">
														<input title="your-email" type="email" name="email" required
                                                               size="40" placeholder="Email . . . "
                                                               value="{{ ($user->email) ? $user->email : '' }}"
                                                               class="form-control form-control-email">
													</span>
                                                </p>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-sm-12">
                                                <p>
                                                    <span class="form-label">Phone</span>
                                                    <span class="form-control-wrap your-phone">
														<input title="your-phone" type="text" name="phone" required
                                                               placeholder="Phone"
                                                               value="{{ ($user->phone) ? $user->phone : '' }}"
                                                               class="form-control form-control-phone">
													</span>
                                                </p>
                                            </div>
                                        </div>
                                        <p>
											<span class="form-label">
												Address
											</span>
                                            <span class="wpcf7-form-control-wrap your-message">
												<textarea title="your-message" name="address" required cols="40"
                                                          rows="9" placeholder="Address . . . "
                                                          class="form-control your-textarea">{{ ($user->address) ? $user->address : '' }}</textarea>
											</span>
                                        </p>
                                        <p>
                                            <input type="submit" value="UPDATE PROFILE  "
                                                   class="form-control-submit button-submit">
                                        </p>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection
