<?php

use Illuminate\Support\Facades\Route;


Route::get('/clear', function () {

    Artisan::call('cache:clear');
    Artisan::call('config:clear');
    Artisan::call('config:cache');
    Artisan::call('view:clear');
    Artisan::call('route:clear');

    return "Cleared!";

});

//website routes
Route::get('/', [App\Http\Controllers\WebsiteController::class, 'Home'])->name('/');
Route::get('Home', [App\Http\Controllers\WebsiteController::class, 'Home'])->name('Home');
Route::get('home', [App\Http\Controllers\WebsiteController::class, 'Home'])->name('home');
Route::get('About+Us', [App\Http\Controllers\WebsiteController::class, 'aboutus'])->name('aboutus');
Route::get('Contact+Us', [App\Http\Controllers\WebsiteController::class, 'contactus'])->name('contactus');
Route::post('save_contact_message', [App\Http\Controllers\WebsiteController::class, 'save_contact_message'])->name('save_contact_message');
Route::get('Shop', [App\Http\Controllers\WebsiteController::class, 'Shop'])->name('Shop');
Route::get('Product+Detail/{slug}', [App\Http\Controllers\WebsiteController::class, 'product_detail'])->name('product_detail');
Route::get('login', [App\Http\Controllers\WebsiteController::class, 'login'])->name('login');
Route::post('customerlogin', [App\Http\Controllers\WebsiteController::class, 'customerlogin'])->name('customerlogin');
Route::post('save_register_user', [App\Http\Controllers\WebsiteController::class, 'save_register_user'])->name('save_register_user');

Route::middleware(['user-auth'])->group(function () {

    Route::get('/customerlogout', [App\Http\Controllers\WebsiteController::class, 'customerlogout'])->name('customerlogout');
    Route::get('Profile', [App\Http\Controllers\WebsiteController::class, 'profile'])->name('profile');
    Route::post('/updateuserprofile', [App\Http\Controllers\WebsiteController::class, 'updateuserprofile'])->name('updateuserprofile');
    Route::get('Add+To+Cart+Single/{id}', [App\Http\Controllers\WebsiteController::class, 'add_to_cart_single'])->name('add_to_cart_single');
    Route::get('Add+To+Cart+Multiple/{quantity}/{pid}', [App\Http\Controllers\WebsiteController::class, 'add_to_cart_multiple'])->name('add_to_cart_multiple');
    Route::get('Cart', [App\Http\Controllers\WebsiteController::class, 'cart'])->name('cart');
    Route::get('delete_cart_product/{id}', [App\Http\Controllers\WebsiteController::class, 'delete_cart_product'])->name('delete_cart_product');
    Route::post('update_cart', [App\Http\Controllers\WebsiteController::class, 'update_cart'])->name('update_cart');
    Route::get('Checkout', [App\Http\Controllers\WebsiteController::class, 'checkout'])->name('checkout');
    Route::post('save_order', [App\Http\Controllers\WebsiteController::class, 'save_order'])->name('save_order');
    Route::get('Thank+You/{orderid}', [App\Http\Controllers\WebsiteController::class, 'thankyou'])->name('thankyou');
    Route::post('check_promocode_from_database', [App\Http\Controllers\WebsiteController::class, 'check_promocode_from_database'])->name('check_promocode_from_database');
    Route::get('Order+History', [App\Http\Controllers\WebsiteController::class, 'orderhistory'])->name('orderhistory');
});


Route::name('admin.')->prefix('admin')->group(function () {

    Route::get('/clear', function () {

        Artisan::call('cache:clear');
        Artisan::call('config:clear');
        Artisan::call('config:cache');
        Artisan::call('view:clear');
        Artisan::call('route:clear');

        return "Cleared!";

    });

//    without login
    Route::match(['get', 'post'], '/login', [App\Http\Controllers\LoginController::class, 'adminLogin'])->name('login');

    Route::middleware(['admin-auth', 'user-access:admin'])->group(function () {

//    After Login
        Route::get('/', [App\Http\Controllers\AdminHomeController::class, 'Dashboard'])->name('/');
        Route::get('/dashboard', [App\Http\Controllers\AdminHomeController::class, 'Dashboard'])->name('dashboard');
        Route::get('/home', [App\Http\Controllers\AdminHomeController::class, 'Dashboard'])->name('home');
        Route::post('/logout', [App\Http\Controllers\LoginController::class, 'logout'])->name('logout');

        // Admin Profile
        Route::get('/AdminProfile', [App\Http\Controllers\AdminHomeController::class, 'AdminProfile'])->name('AdminProfile');
        Route::post('/updateprofile', [App\Http\Controllers\AdminHomeController::class, 'updateprofile'])->name('updateprofile');

        // Application Setting
        Route::get('/setting', [App\Http\Controllers\SettingController::class, 'setting'])->name('setting');
        Route::post('/updatesetting', [App\Http\Controllers\SettingController::class, 'updatesetting'])->name('updatesetting');

        // Categories
        Route::get('/Categories', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'categories'])->name('categories');
        Route::post('/savecategories', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'savecategories'])->name('savecategories');
        Route::post('/updatecategory', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'updatecategory'])->name('updatecategory');
        Route::get('/deletecategory/{id}', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'deletecategory'])->name('deletecategory');

        // products
        Route::get('/Products+List', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'products'])->name('products');
        Route::get('/Add+Products', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'add_products'])->name('add_products');
        Route::post('/save_products', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'save_products'])->name('save_products');
        Route::post('/update_products', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'update_products'])->name('update_products');
        Route::get('/delete_product/{id}', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'delete_product'])->name('delete_product');
        Route::get('/Edit+product/{id}', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'edit_product'])->name('edit_product');
        Route::get('/Edit+product+Images/{id}', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'edit_product_images'])->name('edit_product_images');
        Route::post('/save_product_image', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'save_product_image'])->name('save_product_image');
        Route::get('/delete_product_image/{id}', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'delete_product_image'])->name('delete_product_image');

        // orders
        Route::get('/Orders+List', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'orders'])->name('orders');
        Route::get('/mark_as_complete/{id}', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'mark_as_complete'])->name('mark_as_complete');
        Route::get('/Order+Detail/{id}', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'order_detail'])->name('order_detail');

        // contact_messages
        Route::get('/Contact+Messages', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'contact_messages'])->name('contact_messages');
        Route::get('/delete_contact_message/{id}', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'delete_contact_message'])->name('delete_contact_message');

        // Promocodes
        Route::get('/Promo+Codes', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'promocodes'])->name('promocodes');
        Route::post('/savepromocodes', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'savepromocodes'])->name('savepromocodes');
        Route::get('/deletepromocodes/{id}', [App\Http\Controllers\ManageWebsiteFunctionality::class, 'deletepromocodes'])->name('deletepromocodes');


    });
});


?>
