<!DOCTYPE html>
<html lang="en">
<?php
$system = App\Models\Setting::first();
$categories = App\Models\Categories::all();
if (Auth::guard('web')->check()) {
    $cart_data = App\Models\Cart::where('userid', Auth::guard('web')->user()->id)->get();
} else {
    $cart_data = collect();
}
?>

<?php
$total_cart_price = intval(0);
?>


<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="icon" href="<?php echo e(URL::asset('admin/assets/uploads/'.$system->favicon)); ?>" type="image/x-icon">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <title><?php echo e($system->name); ?> | <?php echo $__env->yieldContent('title'); ?></title>
    <link
            href="https://fonts.googleapis.com/css2?family=Raleway:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900&amp;display=swap"
            rel="stylesheet">
    <link
            href="https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&amp;display=swap"
            rel="stylesheet">
    <link rel="stylesheet" href="<?php echo e(URL::asset('website/assets/css/bootstrap.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(URL::asset('website/assets/css/font-awesome.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(URL::asset('website/assets/css/owl.carousel.min.css')); ?>">

    <link rel="stylesheet" href="<?php echo e(URL::asset('website/assets/css/jquery-ui.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(URL::asset('website/assets/css/slick.css')); ?>">





    <link rel="stylesheet" href="<?php echo e(URL::asset('website/assets/css/jquery.scrollbar.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(URL::asset('website/assets/css/mobile-menu.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(URL::asset('website/assets/fonts/flaticon/flaticon.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(URL::asset('website/assets/css/style.css')); ?>">

    <style>
        .swal2-title {
            font-size: 14px !important;
        }
    </style>

</head>
<body class="home">
<?php echo $__env->make('website.includes.loader', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<header class="header style2">
    <div class="container">
        <div class="main-header">
            <div class="row">
                <div class="col-lg-4 col-sm-6 col-md-4 col-xs-7 col-ts-12 header-element">
                    <div class="block-search-block">
                        <form class="form-search" method="get" action="<?php echo e(route('Shop')); ?>">
                            <div class="form-content">
                                <div class="inner">
                                    <input type="text" class="input" name="name" required placeholder="Search here">
                                    <button class="btn-search" type="submit">
                                        <span class="icon-search"></span>
                                    </button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
                <div class="col-lg-4 col-sm-6 col-md-4 col-xs-5 col-ts-12">
                    <div class="logo">
                        <a href="<?php echo e(route('/')); ?>">
                            <img src="<?php echo e(URL::asset('admin/assets/uploads/'.$system->logo)); ?>" alt="" style="width:80%">
                        </a>
                    </div>
                </div>
                <div class="col-lg-4 col-sm-12 col-md-4 col-xs-12 col-ts-12">
                    <div class="header-control">
                        <div class="block-minicart ysera-mini-cart block-header ysera-dropdown">
                            <a href="javascript:void(0);" class="shopcart-icon" data-ysera="ysera-dropdown">
                                Cart
                                <span class="count">
										<?php echo e(sizeof($cart_data)); ?>

										</span>
                            </a>
                            <div class="shopcart-description ysera-submenu">
                                <div class="content-wrap">
                                    <h3 class="title">Shopping Cart</h3>
                                    <ul class="minicart-items">
                                        <?php $__empty_1 = true; $__currentLoopData = $cart_data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cart_dataa): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                            <?php
                                                $pro_price = intval(0);
                                                $pro_price = (intval($cart_dataa->productdata->price)*intval($cart_dataa->quantity));
                                                $total_cart_price = intval($total_cart_price) + intval($pro_price)
                                            ?>
                                            <li class="product-cart mini_cart_item">
                                                <a href="#" class="product-media">
                                                    <img
                                                            src="<?php echo e(URL::asset('admin/assets/uploads/'.$cart_dataa->productdata->image)); ?>"
                                                            alt="img">
                                                </a>
                                                <div class="product-details">
                                                    <h5 class="product-name">
                                                        <a><?php echo e($cart_dataa->productdata->name); ?></a>
                                                    </h5>
                                                    <span class="product-price">
															<span class="price">
																<span>$<?php echo e(number_format($cart_dataa->productdata->price)); ?></span>
															</span>
														</span>
                                                    <span class="product-quantity">
															(x<?php echo e(number_format($cart_dataa->quantity)); ?>)
														</span>
                                                    <div class="product-remove">
                                                        <a onclick="return(confirm('are you sure to remove this product from cart ?'))"
                                                           href="<?php echo e(route('delete_cart_product',[$cart_dataa->id])); ?>"><i
                                                                    class="fa fa-trash-o" aria-hidden="true"></i></a>
                                                    </div>
                                                </div>
                                            </li>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                        <?php endif; ?>
                                    </ul>
                                    <div class="subtotal">
                                        <span class="total-title">Subtotal: </span>
                                        <span class="total-price">
													<span class="Price-amount">
														$<?php echo e(number_format($total_cart_price,2)); ?>

													</span>
												</span>
                                    </div>
                                    <div class="actions">
                                        <a class="button button-viewcart" href="<?php echo e(route('cart')); ?>">
                                            <span>View Bag</span>
                                        </a>
                                        <a href="<?php echo e(route('checkout')); ?>" class="button button-checkout">
                                            <span>Checkout</span>
                                        </a>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <a class="menu-bar mobile-navigation menu-toggle" href="#">
                            <span></span>
                            <span></span>
                            <span></span>
                        </a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="header-nav-container">
        <div class="container">
            <div class="header-nav-wapper main-menu-wapper">
                <div class="header-nav">
                    <div class="container-wapper">
                        <ul class="ysera-clone-mobile-menu ysera-nav main-menu " id="menu-main-menu">
                            <li class="menu-item"><a href="<?php echo e(route('/')); ?>" class="ysera-menu-item-title" title="Home">Home</a>
                            </li>
                            <li class="menu-item"><a href="<?php echo e(route('aboutus')); ?>" class="ysera-menu-item-title"
                                                     title="About">About</a></li>
                            <li class="menu-item  menu-item-has-children">
                                <a href="<?php echo e(route('Shop')); ?>" class="ysera-menu-item-title" title="Home">Shop</a>
                                <span class="toggle-submenu"></span>
                                <ul class="submenu">
                                    <?php $__empty_1 = true; $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                        <li class="menu-item"><a
                                                    href="<?php echo e(route('Shop',["categoryid"=>$category->id])); ?>"><?php echo e($category->name); ?></a>
                                        </li>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                    <?php endif; ?>
                                </ul>
                            </li>
                            <li class="menu-item"><a href="<?php echo e(route('cart')); ?>" class="ysera-menu-item-title"
                                                     title="Shop">Cart</a></li>
                            <li class="menu-item"><a href="<?php echo e(route('contactus')); ?>" class="ysera-menu-item-title"
                                                     title="Contact">Contact</a>
                            </li>

                            <?php if(Auth::guard('web')->check()): ?>
                                <li class="menu-item  menu-item-has-children">
                                    <a href="#" class="ysera-menu-item-title"
                                       title="Home"><?php echo e(Auth::guard('web')->user()->name); ?></a>
                                    <span class="toggle-submenu"></span>
                                    <ul class="submenu">
                                        <li class="menu-item"><a href="<?php echo e(route('profile')); ?>">Profile</a>
                                        <li class="menu-item"><a href="<?php echo e(route('orderhistory')); ?>">Order History</a>
                                        <li class="menu-item"><a href="<?php echo e(route('customerlogout')); ?>">Logout</a>
                                        </li>
                                    </ul>
                                </li>
                            <?php else: ?>
                                <li class="menu-item"><a href="<?php echo e(route('login')); ?>" class="ysera-menu-item-title"
                                                         title="Contact">Login</a>
                                </li>
                            <?php endif; ?>

                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
</header>
<?php /**PATH /home/dwreqvsc/public_html/jewelry/resources/views/website/includes/header.blade.php ENDPATH**/ ?>